# $Revision: 1.63.2.6 $, $Date: 2004/11/26 19:11:58 $
%include	/usr/lib/rpm/macros.perl
Summary:	High-performance mail store with imap and pop3
Summary(pl):	Wysoko wydajny serwer IMAP i POP3
Summary(pt_BR):	Um servidor de mail de alto desempenho que suporta IMAP e POP3
Name:		cyrus-imapd
Version:	2.0.17
Release:	3
License:	BSD-like
Group:		Networking/Daemons
Source0:	ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{name}-%{version}.tar.gz
# Source0-md5:	21a666e8bf41be5169ede375309f6e94
Source1:	cyrus-README
Source2:	cyrus-procmailrc
Source3:	cyrus-deliver-wrapper.c
Source4:	cyrus-user-procmailrc.template
Source5:	%{name}-procmail+cyrus.mc
Source6:	%{name}.logrotate
Source7:	%{name}.conf
Source9:	%{name}.pamd
Source10:	%{name}-pop.pamd
Source11:	%{name}.init
Source12:	cyrus.conf
Patch0:		%{name}-snmp.patch
Patch1:		%{name}-mandir.patch
Patch2:		%{name}-paths.patch
Patch3:		%{name}-overquota.patch
# http://www.imasy.or.jp/~ume/ipv6/cyrus-imapd-2.0.17-ipv6-20021205.diff.gz
Patch4:		%{name}-2.0.17-ipv6-20021205.diff.gz
Patch5:		%{name}-et.patch
Patch6:		%{name}-ac250.patch
Patch7:		%{name}-db3.patch
Patch8:		%{name}-ipv6.m4.patch
Patch9:		%{name}-ac25x.patch
Patch10:	%{name}-snprintf.patch
Patch11:	%{name}-CAN-2004-101x.patch
URL:		http://andrew2.andrew.cmu.edu/cyrus/imapd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 1.5.27
BuildRequires:	db3-devel >= 3.1.17
BuildRequires:	e2fsprogs-devel >= 1.21
BuildRequires:	flex
BuildRequires:	openssl-devel >= 0.9.6m
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	ucd-snmp-devel >= 4.2.6
PreReq:		rc-scripts
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Provides:	imapdaemon
Provides:	pop3daemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	courier-imap
Conflicts:	courier-imap-common
Conflicts:	courier-imap-pop3
Conflicts:	imap
Conflicts:	imap-common
Conflicts:	imap-pop2
Conflicts:	imap-pop3
Conflicts:	qpopper
Conflicts:	qpopper6
Conflicts:	solid-pop3d
Conflicts:	tpop3d
Obsoletes:	imapd
Obsoletes:	imap
Obsoletes:	pop3daemon
Obsoletes:	imapdaemon

%define		_libexecdir	%{_prefix}/lib/cyrus

%description
The Cyrus IMAP server is a scalable enterprise mail system designed
for use from small to large enterprise environments using
standards-based technologies.

A full Cyrus IMAP implementation allows a seamless mail and bulletin
board environment to be set up across multiple servers. It differs
from other IMAP server implementations in that it is run on "sealed"
servers, where users are not normally permitted to log in. The mailbox
database is stored in parts of the filesystem that are private to the
Cyrus IMAP system. All user access to mail is through software using
the IMAP, POP3, or KPOP protocols.

%description -l pl
Serwer Cyrus IMAP jest skalowalnym systemem e-mail dla
przedsibiorstwa, zaprojektowanym dla maych i duych firm i
wykorzystujcym oparte na standardach technologie.

Pena implementacja Cyrus IMAP pozwala na bezproblemowe ustawienie
rodowiska poczty i elektronicznej tablicy ogoszeniowej na kilku
serwerach. Tym si rni od innych implementacji serwerw IMAP, e
jest uruchamiany na "opiecztowanych" serwerach, na ktre w normalnych
waunkach uytkownicy nie mog si zalogowa. Baza danych skrzynek
pocztowych jest przechowywana w tych czciach systemu plikw, ktre
s dostpne jedynie dla systemu IMAP Cyrus. Wszelki dostp do poczty
ma miejsce poprzez oprogramowanie wykorzystujce protokoy IMAP, POP3
oraz KPOP.

%description -l pt_BR
O servidor IMAP Cyrus  um sistema de mail corporativo escalvel
projetado para uso por pequenos a grandes ambientes corporativos
usando tecnologias baseadas em padres abertos.

Uma implementao completa do Cyrus permite se configurar um ambiente
transparente de mail e bulletin board entre mltiplos servidores. Ele
difere de outros servidores IMAP por rodar em servidores "selados",
onde usurios no possuem normalmente a permisso de log in. O banco
de dados de caixas de mail  armazenado em partes do sistema de
arquivos que so privativos do sistema Cyrus. Todo o acesso de
usurios aos mails se d atravs de software usando os protocolos
IMAP, POP3 ou KPOP.

%package devel
Summary:	Libraries and include files for developing with cyrus-imapd
Summary(pl):	Pliki potrzebne do programowania z uyciem cyrus-imapd
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with cyrus-imapd.

%description devel -l pl
Ten pakiet zawiera biblioteki oraz pliki nagwkowe niezbdne do
tworzenia oprogramowania z wykorzystaniem cyrus-imapd.

%package static
Summary:	Static cyrus-imapd libraries
Summary(pl):	Biblioteki statyczne cyrus-imapd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static cyrus-imapd libraries

%description static -l pl
Biblioteki statyczne cyrus-imapd

%package -n perl-%{name}
Summary:	Perl interface to cyrus-imapd library
Summary(pl):	Perlowy interfejs do biblioteki cyrus-imapd
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description -n perl-%{name}
Perl interface to cyrus-imapd library.

%description -n perl-%{name} -l pl
Perlowy interfejs do biblioteki cyrus-imapd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
cd makedepend
rm -f aclocal.m4
%{__aclocal}
%{__autoconf}
%configure
%{__make}
PATH=$PATH:`pwd`; export PATH
cd ..
rm -f aclocal.m4
%{__aclocal} -I cmulocal
%{__autoheader}
%{__autoconf}
%configure \
	--with-auth=unix \
	--without-libwrap \
	--with-cyrus-prefix=%{_libexecdir} \
	--with-com_err=/usr
%{__make}

%{__cc} %{rpmcflags} \
	-DLIBEXECDIR="\"%{_libexecdir}\"" %{rpmldflags} -Wall -o deliver-wrapper %{SOURCE3}

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_sbindir},%{_libexecdir},%{_mandir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{logrotate.d,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT/var/spool/imap/stage. \
	$RPM_BUILD_ROOT/var/lib/imap/{user,quota,proc,log,msg,deliverdb/db,sieve,db,socket} \
	$RPM_BUILD_ROOT/etc/{security,pam.d,rc.d/init.d}

touch $RPM_BUILD_ROOT/var/lib/imap/mailboxes \
	$RPM_BUILD_ROOT/var/lib/imap/faillog \
	$RPM_BUILD_ROOT/etc/security/blacklist.imap \
	$RPM_BUILD_ROOT/etc/security/blacklist.pop

%{__make} install DESTDIR=$RPM_BUILD_ROOT CYRUS_USER="`id -u`" CYRUS_GROUP="`id -g`" mandir=%{_mandir}

install deliver-wrapper $RPM_BUILD_ROOT%{_libexecdir}/deliver-wrapper

install %{SOURCE1}	%{SOURCE2} %{SOURCE4} %{SOURCE5} .
install %{SOURCE6}	$RPM_BUILD_ROOT/etc/logrotate.d/cyrus-imapd
install %{SOURCE7}	$RPM_BUILD_ROOT%{_sysconfdir}/imapd.conf
install %{SOURCE9}	$RPM_BUILD_ROOT/etc/pam.d/imap
install %{SOURCE10}	$RPM_BUILD_ROOT/etc/pam.d/pop
install %{SOURCE11}	$RPM_BUILD_ROOT/etc/rc.d/init.d/cyrus-imapd
install %{SOURCE12}	$RPM_BUILD_ROOT%{_sysconfdir}/cyrus.conf

mv -f $RPM_BUILD_ROOT%{_libexecdir}/bin/*	$RPM_BUILD_ROOT%{_libexecdir}
mv -f $RPM_BUILD_ROOT%{_libexecdir}/master	$RPM_BUILD_ROOT%{_libexecdir}/cyrus-master
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/master.8	$RPM_BUILD_ROOT%{_mandir}/man8/cyrus-master.8
rm -rf $RPM_BUILD_ROOT%{_libexecdir}/bin
rm -rf $RPM_BUILD_ROOT%{_mandir}/man8/idled.8

touch $RPM_BUILD_ROOT/etc/security/blacklist.{imap,pop}

find $RPM_BUILD_ROOT%{perl_sitearch} -name .packlist -exec rm {} \;

# make hashed dirs
oldpwd=`pwd`
cd $RPM_BUILD_ROOT/var
perl <<EOF
foreach \$i ("a".."z")
{
	mkdir "lib/imap/user/\$i", 0755;
	mkdir "lib/imap/quota/\$i", 0755;
	mkdir "lib/imap/sieve/\$i", 0755;
	mkdir "spool/imap/\$i", 0755;
}
EOF
cd ${oldpwd}

%pre
if [ -z "`id -u cyrus 2>/dev/null`" ]; then
	/usr/sbin/useradd -u 76 -r -d /var/spool/imap -s /bin/false -c "Cyrus User" -g mail cyrus 1>&2
fi

%post
/sbin/chkconfig --add cyrus-imapd
touch /var/lib/imap/faillog
chown cyrus.mail /var/lib/imap/faillog
chmod 640 /var/lib/imap/faillog
cd /var/lib/imap
chattr +S . user quota user/* quota/* 2>/dev/null
chattr +S /var/spool/imap /var/spool/imap/* 2>/dev/null
if [ -f /var/lock/subsys/cyrus-imapd ]; then
	/etc/rc.d/init.d/cyrus-imapd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/cyrus-imapd start\" to start cyrus imap daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/cyrus-imapd ]; then
		/etc/rc.d/init.d/cyrus-imapd stop 1>&2
	fi
	/sbin/chkconfig --del cyrus-imapd
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel cyrus
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc cyrus-README cyrus-procmailrc cyrus-user-procmailrc.template
%doc cyrus-imapd-procmail+cyrus.mc COPYRIGHT doc/*.html
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.conf
%attr(640,root,root) /etc/logrotate.d/cyrus-imapd
%attr(440,cyrus,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.*
%attr(754,root,root) /etc/rc.d/init.d/cyrus-imapd
%attr(640,cyrus,mail) %ghost /var/lib/imap/faillog
%attr(755,root,root) %{_bindir}/*
%attr(4754,cyrus,mail) %{_libexecdir}/deliver
%attr(2755,cyrus,mail) %{_libexecdir}/deliver-wrapper
%attr(755,root,root) %{_libexecdir}/ctl_deliver
%attr(755,root,root) %{_libexecdir}/ctl_mboxlist
%attr(755,root,root) %{_libexecdir}/cyrdump
%attr(755,root,root) %{_libexecdir}/feedcyrus
%attr(755,root,root) %{_libexecdir}/fud
%attr(755,root,root) %{_libexecdir}/imapd
%attr(755,root,root) %{_libexecdir}/ipurge
%attr(755,root,root) %{_libexecdir}/lmtpd
%attr(755,root,root) %{_libexecdir}/cyrus-master
%attr(755,root,root) %{_libexecdir}/mbpath
%attr(755,root,root) %{_libexecdir}/pop3d
%attr(755,root,root) %{_libexecdir}/quota
%attr(755,root,root) %{_libexecdir}/reconstruct
%attr(755,root,root) %{_libexecdir}/timsieved

%attr(750,cyrus,mail) /var/spool/imap
%attr(750,cyrus,mail) %dir /var/lib/imap
%attr(750,cyrus,mail) %dir /var/lib/imap/deliverdb
%attr(750,cyrus,mail) /var/lib/imap/deliverdb/db
%attr(750,cyrus,mail) /var/lib/imap/quota
%attr(750,cyrus,mail) /var/lib/imap/user
%attr(750,cyrus,mail) /var/lib/imap/sieve
%attr(750,cyrus,mail) /var/lib/imap/log
%attr(750,cyrus,mail) /var/lib/imap/msg
%attr(750,cyrus,mail) /var/lib/imap/proc
%attr(750,cyrus,mail) /var/lib/imap/db
%attr(750,cyrus,mail) /var/lib/imap/socket
%attr(750,cyrus,mail) %config(noreplace) %verify(not size md5 mtime) /var/lib/imap/mailboxes

%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/cyrus

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n perl-%{name}
%defattr(644,root,root,755)
%{perl_sitearch}/Cyrus
%{perl_sitearch}/auto/Cyrus

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cyrus-imapd.spec,v $
Revision 1.63.2.6  2004/11/26 19:11:58  qboosh
- typo

Revision 1.63.2.5  2004/11/26 15:53:18  qboosh
- added CAN-2004-201x patch (fixes CAN-2004-2012 CAN-2004-2013); release 3

Revision 1.63.2.4  2004/05/19 13:25:12  twittner
- typo

Revision 1.63.2.3  2004/03/19 13:10:16  ankry
- massive change: BR: openssl-devel >= 0.9.6m

Revision 1.63.2.2  2004/02/28 14:12:46  twittner
- md5, rel.2 for rebuild with new domain name.

Revision 1.63.2.1  2003/07/11 12:00:40  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.63  2003/02/07 18:47:42  migo
- random description fixes

Revision 1.62  2003/01/10 15:13:27  qboosh
- updated to 2.0.17, updated ipv6 patch, removed obsolete *overflow patches
- fixed ugly bug in snprintf patch (possible SEGV)
- candidate for ra/updates/

Revision 1.61  2002/12/05 14:00:39  qboosh
- fixes for possible security issues:
  - sieve-overflows patch for buffer overflows in libsieve
  - imap-intoverflow patch for integer overflow in imapd (not serious
    in 2.0.x, but imapd could allocate huge amount of memory)
  - snprintf patch with one sprintf->snprintf replace (from 2.1.x)
- release 11

Revision 1.60  2002/10/19 10:41:46  kloczek
- release 10: rebuild against ucd-snmp 4.2.6.

Revision 1.59  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.58  2002/10/01 09:01:04  kura
- perl files moved to perl-cyrus-imapd
- release 9

Revision 1.56  2002/09/20 14:20:08  undefine
- obsoletes imap

Revision 1.55  2002/08/12 12:43:44  kloczek
- reverte last change (seems in rpm file_check is bug on checking %ghost files).

Revision 1.54  2002/08/12 08:31:55  kloczek
- added %ghost /var/lib/imap/faillog to %files.

Revision 1.53  2002/08/12 08:29:16  kloczek
- release 8: removed from files %%{_mandir}/man8/idled.8
  (conflict with idled package).

Revision 1.52  2002/08/07 11:55:06  qboosh
- Conflicts: courier-imap{,-common,-pop3}, tpop3d; release 7

Revision 1.51  2002/07/30 22:36:10  kloczek
- merge translations from Conectiva.

Revision 1.50  2002/07/29 15:08:11  qboosh
- added fix for autoconf 2.53, BR: fixed ucd-snmp, new %%doc, release 6

Revision 1.49  2002/05/21 23:12:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.48  2002/05/13 09:58:19  kloczek
- not ucd-snmp 4.2.4 but 4.2.5.

Revision 1.47  2002/05/13 09:56:15  kloczek
- release 5: rebuild against ucd-snmp-deve 4.2.4.

Revision 1.46  2002/04/25 16:08:57  arturs
fixed a small typo

Revision 1.45  2002/04/15 11:27:45  qboosh
- License is BSD-like, removed outdated license info from descriptions
- Conflicts: imap{,-common,-pop2,-pop3}
- release 4

Revision 1.44  2002/03/27 10:31:04  roman
- License: academic/research --> License: Academic/research

Revision 1.43  2002/03/16 20:15:32  michuz
- BR: perl-devel instead of perl

Revision 1.42  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/12/15 16:37:13  kloczek
- release 3: rebuild against ucd-snmp 4.2.3.

Revision 1.38  2001/11/07 01:08:28  kloczek
- release 2: rebuild against ucd-snmp 4.2.2.

Revision 1.37  2001/10/03 14:57:16  qboosh
- BuildRequires: autoconf, automake

Revision 1.36  2001/09/26 03:38:13  blues
- typo

Revision 1.35  2001/09/24 11:53:27  qboosh
- Prereq: /sbin/chkconfig

Revision 1.34  2001/08/24 04:50:21  kloczek
- added ucd-snmp-devel and flex to BuildRequires.

Revision 1.33  2001/08/24 04:48:46  kloczek
- updated to 2.0.16,
- updated ipv6 patch and removed obsoleted checkfd patch.

Revision 1.32  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.30  2001/07/10 11:03:16  wiget
updated to 2.0.15

Revision 1.29  2001/07/06 17:14:01  wiget
- version 2.0.14
- use 'oryginal' IPv6 patch
- added et.patch (now external libcom_err is used), checkfd.patch (one SigSegv
  less), ac250.patch (fix quotation in configure.in)
- one more binary
- simplified perl package

Revision 1.28  2001/05/09 01:58:42  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.27  2001/04/27 20:14:03  kloczek
- added rc-scripts to Prereq,
- added using %%{rpmcflags}, %%{rpmldflags} macros.

Revision 1.26  2001/04/27 14:08:44  wiget
- version 2.0.13
- cvs patch removed
- added BuildConflicts e2fsprogs-devel (et_compile from e2fsprogs-devel
  are broken)
- ready for building

Revision 1.25  2001/04/26 16:12:00  wiget
add update from cyrus-imapd CVS and IPv6 support

Revision 1.24  2001/04/17 12:04:22  baggins
- release 1.2
- rebuild with perl 5.6.1

Revision 1.23  2001/02/14 13:17:52  wiget
add overquota patch (bounce mail if mailbox is over quota)

Revision 1.22  2001/02/01 16:34:12  wiget
updated to 2.0.11, removed cron stuff (cyrus-master have own job sheduler), NFY

Revision 1.21  2001/01/27 22:17:47  kloczek
- few cosmetics and make spec %%{debug} ready.

Revision 1.20  2001/01/27 17:13:26  waszi
- typo

Revision 1.19  2001/01/25 22:30:32  waszi
- file permission fixes

Revision 1.18  2001/01/25 21:58:25  waszi
- updated %%files

Revision 1.17  2001/01/25 19:37:03  waszi
- partially rewrited
- added init script and sample config file

Revision 1.16  2001/01/25 15:54:44  wiget
version 2.0.9 but not finished yet

Revision 1.15  2000/11/27 22:57:16  misiek
using update-db is obsolete; removed

Revision 1.14  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.13  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.12  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.11  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.9  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.8  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.6  2000/03/28 11:10:59  arturs
typo

Revision 1.5  2000/03/27 14:56:15  arturs
- added %description -l pl

Revision 1.4  2000/03/09 09:22:02  wiget
- faillog in /var/state/imap/faillog
- chattr +S for hashed dirs

Revision 1.3  2000/03/09 09:11:54  wiget
- added PAM config files

Revision 1.2  2000/03/08 23:46:42  wiget
- version 1.6.22
- rewrite for PLD coding style

Revision 1.1  2000/03/03 12:16:20  wiget
readded

Revision 1.11  1999/12/13 21:05:51  alchemyx
- fixing mess a little

Revision 1.10  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Feb 24 1999 Brian Candler
  - Implemented the deliver-wrapper; now users can securely manage their
    own .procmailrc

* Tue Feb 16 1999 Brian Candler
  - Removed 'Packager:' line. It is annoying when someone changes what
    you've done but leaves you in to take the blame :-)
  - Updated to 1.5.19
  - Fixed sendmail.cf handling

* Sun Aug 16 1998 joerg@cogito.de
  - procmail/sendmail configuration added, based on
    http://www.ncworldmag.com/ncw-05-1998/ncw-05-imap.html
